
figure('Units','centimeters','Position',[5 5 16 13],'PaperPositionMode','auto')

p=plot(DD,Cost,'*');


xlabel('Average Degree of Uncertain Nodes');
ylabel('Transportation Cost');
title('How cost is effected by average DD');
axis([2.5 5.5 0 180000]);
set(p,'MarkerFaceColor',[1 0 1],'Marker','*','MarkerSize',5);
set(gca,'YLim',[0 180000],'YColor',[0 0 0],'XLim',[2.5 5.5]);
set(gca,...
'Units','normalized',...
'YTick',0:0.40000:180000,...
'XTick',2.5:0.5:5.5,...
'Position',[.17 .15 .7 .7],...
'FontUnits','points',...
'FontWeight','normal',...
'FontSize',18,...
'FontName','Times',...
'TickDir','out')
ylabel('Transportation Cost',...
'FontUnits','points',...
'interpreter','latex',...
'FontSize',20,...
'Color','k',...
'FontName','Times',...
'Position',[2.1 9 0])
xlabel('Average Degree of Uncertain Nodes',...
'FontUnits','points',...
'interpreter','latex',...
'FontWeight','normal',...
'FontSize',20,...
'FontName','Times',...
'Position',[4 -1.2 0])
title('How cost is effected by degree',...
'FontUnits','points',...
'FontWeight','normal',...
'interpreter','latex',...
'FontSize',20,...
'FontName','Times',...
'Position',[4 200000 0],...
'fontweight','bold');
print -dpng CostVsDD.png


